/*
 * #%L
 * EUGene :: EUGene
 * 
 * $Id: ObjectModelType.java 1079 2011-06-28 09:15:23Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/eugene/tags/eugene-2.5.6.1/eugene/src/main/java/org/nuiton/eugene/models/object/ObjectModelType.java $
 * %%
 * Copyright (C) 2004 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package org.nuiton.eugene.models.object;

/**
 * Enumeration for ObjectModelGenerator.
 * Contains all types available for generating specific ObjectModelElement file.
 * Needed because of inheritance between class, interface and classifier.
 * Method instanceof (previously used) is inadequat so expliciting the ObjectModel type is much better.
 * <p/>
 * Created: may 4th 2009
 *
 * @author Florian DESBOIS <fdesbois@codelutin.com>
 * @version $Revision: 1079 $
 */
public enum ObjectModelType {
    /**
     * a model
     */
    OBJECT_MODEL,
    /**
     * an enumration
     */
    OBJECT_MODEL_ENUMERATION,
    /**
     * a generic classifier
     */
    OBJECT_MODEL_CLASSIFIER,
    /**
     * a class
     */
    OBJECT_MODEL_CLASS,
    /**
     * an interface
     */
    OBJECT_MODEL_INTERFACE
}
